Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emfforms.spi.swt.core
Class AbstractAdditionalSWTRenderer<VELEMENT extends VElement>

    java.lang.Object
      org.eclipse.emf.ecp.view.model.common.AbstractRenderer<VELEMENT>
          org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer<VELEMENT>
              org.eclipse.emfforms.spi.swt.core.AbstractAdditionalSWTRenderer<VELEMENT>

Type Parameters:
  `VELEMENT` - the `VElement` this renderer is valid for

Direct Known Subclasses:
  SWTDiffMergeAddition

    public abstract class AbstractAdditionalSWTRenderer<VELEMENT extends VElement>

extends AbstractSWTRenderer<VELEMENT>

The renderer for additional controls.

Since:
  1.3
Author:
  Eugen Neufeld

Constructor Summary
`AbstractAdditionalSWTRenderer(VELEMENT vElement, ViewModelContext viewContext, ReportService reportService)` Default constructor.

Method Summary

Methods inherited from class org.eclipse.emfforms.spi.swt.core.AbstractSWTRenderer
`finalizeRendering, getGridDescription, init, render`

Methods inherited from class org.eclipse.emf.ecp.view.model.common.AbstractRenderer
`getVElement, getViewModelContext`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractAdditionalSWTRenderer

    public AbstractAdditionalSWTRenderer(VELEMENT vElement,
                                         ViewModelContext viewContext,
                                         ReportService reportService)

  Default constructor.

  Parameters:
    `vElement` - the view model element to be rendered
    `viewContext` - the view context
    `reportService` - The `ReportService`
  Since:
    1.6

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.